Bug 623496 - Moblin takes precedence over GDM on bootup
Summary: Moblin takes precedence over GDM on bootup
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: moblin-session   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-11 22:55 UTC by Noah Petherbridge
Modified: 2010-09-22 20:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-22 20:24:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Noah Petherbridge 2010-08-11 22:55:07 UTC
Description of problem:

When installing Moblin as a secondary desktop environment (tested where XFCE was the one installed via Fedora XFCE Spin), on subsequent reboots Moblin starts automatically instead of GDM, so the user doesn't have the chance to log in via GDM and select a different desktop environment.

Version-Release number of selected component (if applicable):

moblin-session-0.12-7.fc13.noarch

How reproducible:

Always

Steps to Reproduce:
1. Install the XFCE Live spin of Fedora 13
2. Install Moblin via: yum groupinstall "Moblin Desktop Environment"
3. Log out of XFCE or reboot the computer
  
Actual results:

You are automatically logged into the Moblin desktop environment instead of the GDM login window.

Expected results:

Your GDM login window should always be the first thing that starts after boot up, so that you can select which desktop environment you want to log into (via the Sessions drop-down in GDM).

Additional info:

When installing other desktop environments (i.e. install the GNOME LiveCD first and then install the XFCE desktop), GDM is not replaced; you can simply return to the login screen and select either GNOME or XFCE from GDM. But when installing Moblin, Moblin starts where GDM should.

I worked around the issue by adding DISPLAYMANAGER=GDM in my /etc/sysconfig/desktop file. It should be noted that I didn't have to add this line for any other desktop environment. The contents of /etc/sysconfig/desktop were originally: "PREFERRED=/usr/bin/startxfce4"

Comment 1 Peter Robinson 2010-08-13 08:24:21 UTC
I'm not sure how Moblin does this as it currently uses GDM to run the interface as I've not had a chance to look at anything else. moblin-session certainly doesn't do this as its a basic shell script. Do you happen to have uxlaunch installed?

Comment 2 Peter Robinson 2010-09-22 20:24:04 UTC
Closing, no response


Note You need to log in before you can comment on or make changes to this bug.